Updates in stable and some more packages in testing

Benutzeravatar
d.oertel
Beiträge: 3136
Registriert: 04 Jun 2008, 14:27

Updates in stable and some more packages in testing

Beitragvon d.oertel » 09 Nov 2017, 20:58

Dear opsi users

Hereby we release some testing packages now as stable.
Also we say hello to some new testing packages.


We also present in testing a new generation of windows (and opsi-local-image) netboot products (4.0.7.4-x).
The Highlights:

* Using the new property 'multi-disk-mode' you may install Windows to a different disk than the first disk.
ATTENTION: At MBR-BIOS you still need to change the boot sequence, at UEFI-boot you have to change nothing.
* The directory 'winpe_uefi' is now by default a symbolic link to 'winpe'
* At the WinPE installation part now the opsi-script starts and sends a log as attachment to the bootimage.log
* New: Property: administrator_password
* You may now use the postinst.cmd to start powershell scripts.

The corresponding opsi-local-image-prepare product (4.0.7.4-x)
has (beside 'multi-disk-mode') an other new property: 'backup_partition_on_same_disk'
If False and there is more than one disk,
then create backup partition on the first disk which is not used for the other partitions.
default: True

=======================================================
What is missing in this bundle (and will become ready in early December):

opsi-local-image-opensusel42-3 (replaces opsi-local-image-opensuse13-2)
opsi-local-image-wim-capture (replaces opsi-local-image-sysprep and opsi-local-image-capture)
opsi-local-image-delimage
win10*-vhd + win-vhd-snapshot
=======================================================

Happy Testing

In details:

As stable we publish:

Localboot products:

* config-win10 (4.0.7-8)
* windows10-upgrade (17.09-4)


Netboot products:

* wipedisk (1.1-1)

opsi-linux products

Linux Netboot products:

debian (4.0.7.2-4)
debian8 (4.0.7.2-4)
debian9 (4.0.7.2-5)
centos70 (4.0.7.2-2)
opensusel42-2 (4.0.7.2-3)
opensusel42-3 (4.0.7.2-3)
redhat70 (4.0.7.2-2)
sles11sp4 (4.0.7.2-2)
sles12 (4.0.7.2-3)
sles12sp1 (4.0.7.2-2)
sles12sp2 (4.0.7.2-3)
sles12sp3 (4.0.7.2-3)
ubuntu (4.0.7.2-4)
ubuntu14-04 (4.0.7.2-3)
ubuntu16-04 (4.0.7.2-4)
ucs41 (4.0.7.2-3)
ucs42 (4.0.7.2-3)


opsi-local-image:

no packages



As testing we publish:


Netboot products in the version 4.0.7.4-6

win10_4.0.7.4-6.opsi
win10-captured_4.0.7.4-6.opsi
win10-x64_4.0.7.4-6.opsi
win10-x64-captured_4.0.7.4-6.opsi
win2008-r2_4.0.7.4-6.opsi
win2012_4.0.7.4-6.opsi
win2012-r2_4.0.7.4-6.opsi
win2016_4.0.7.4-6.opsi
win7_4.0.7.4-6.opsi
win7-captured_4.0.7.4-6.opsi
win7-x64_4.0.7.4-6.opsi
win7-x64-captured_4.0.7.4-6.opsi
win81_4.0.7.4-6.opsi
win81-captured_4.0.7.4-6.opsi
win81-x64-captured_4.0.7.4-6.opsi
win81--x64-captured_4.0.7.4-6.opsi

opsi-clonezilla (4.0.7.2-4)

Localboot products

* opsi-wim-capture (4.0.7.2-7)
* opsi-winst (4.12.0.9-1)

opsi-linux products:

Linux Netboot products:

debian7 (4.0.7.2-3)
debian8 (4.0.7.2-6)
debian9 (4.0.7.2-6)
sles12sp1 (4.0.7.2-3)
ubuntu (4.0.7.2-4)
ubuntu14-04 (4.0.7.2-3)
ubuntu16-04 (4.0.7.2-4)
ubuntu17-04 (4.0.7.2-4)
ubuntu17-10 (4.0.7.2-5)
ucs42 (4.0.7.2-4)


opsi-local-image:

opsi-local-image-backup_4.0.7.4-4.opsi
opsi-local-image-prepare_4.0.7.4-4.opsi
opsi-local-image-restore_4.0.7.4-4.opsi
opsi-local-image-ubuntu_4.0.7.4-4.opsi
opsi-local-image-win10_4.0.7.4-4.opsi
opsi-local-image-win10-capture_4.0.7.4-4.opsi
opsi-local-image-win10-x64_4.0.7.4-4.opsi
opsi-local-image-win10-x64-capture_4.0.7.4-4.opsi
opsi-local-image-win7_4.0.7.4-4.opsi
opsi-local-image-win7-capture_4.0.7.4-4.opsi
opsi-local-image-win7-x64_4.0.7.4-4.opsi
opsi-local-image-win7-x64-capture_4.0.7.4-4.opsi
opsi-local-image-win81_4.0.7.4-4.opsi
opsi-local-image-win81-capture_4.0.7.4-4.opsi
opsi-local-image-win81-x64_4.0.7.4-4.opsi
opsi-local-image-win81-x64-capture_4.0.7.4-4.opsi


Server packages:

* opsi-depotserver 4.0.7.3-2
* opsi-utils 4.0.7.18-7
* opsi4ucs 4.0.7.5-8
* opsiconfd 4.0.7.14-1
* opsipxeconfd 4.0.7.9-1
* python-opsi 4.0.7.50-1
* opsi-linux-bootimage_20171012-1


detlef oertel


Changelogs:
=======================================================
windows10-upgrade (17.09-4) stable; urgency=low

* backup and restore LastLoggedOnUser
viewtopic.php?f=6&t=9639
* new property: lock_keyboard (default false)
* min required space: 8GB
* some fixes for temporary set shutdownwarningtime to zero

-- detlef oertel <d.oertel@uib.de> Wed 25 Oct 2017 15:00:00 +0200

=======================================================
opsi-client-agent (4.0.7.23-4) stable; urgency=low

* remove of some del -s Options (bug created in last Version)
* removed unused section DosInAnIcon_lock_opsiclientd_conf
* unused file opsicliend.reg

-- Detlef Oertel <d.oertel@uib.de> Mon, 06 Oct 2017:15:00:00 +0200

opsi-client-agent (4.0.7.23-3) stable; urgency=low

* use 'sc failure' to configure opsiclientd service restarts after failure
* use allway -c option in delete and copy to avoid not wanted reboots

-- Detlef Oertel <d.oertel@uib.de> Mon, 02 Oct 2017:15:00:00 +0200

opsi-client-agent (4.0.7.23-2) stable; urgency=low

* Files_del_systray: Fixed wrong path.
* Trying to kill notifier.exe before copying

-- Erol Ueluekmen <e.ueluekmen@uib.de> Thu, 28 Sep 2017:14:00:00 +0200

=======================================================

opsi-winst/opsi-script (4.12.0.9) stable; urgency=low

* osmain: log command line parameter of opsi-script call
* osmain: startprogrammodes: fix for /productid (bug created with /logproductid)

-- Detlef Oertel <d.oertel@uib.de> Mon, 06 Nov 2017:15:00:00 +0200

opsi-winst/opsi-script (4.12.0.8) stable; urgency=low

* start to wor on new modifier '/encoding <encoding>' for patches sections
* osparser: fix Message 'ReportMessages' changed to 'ScriptErrorMessages'
* osparser: fix Message 'ScriptErrorMessages' 'is set to' true/false was wrong
* osparser: tsImportLib: replace constants

-- Detlef Oertel <d.oertel@uib.de> Mon, 06 Nov 2017:15:00:00 +0200

=================================================
opsi-local-image (4.0.7.4-4) stable; urgency=low

* fix opsisetuplib.py: checkOliPartitions

-- detlef oertel <d.oertel@uib.de> Thu, 08 Nov 2017 15:00:00 +0200

=================================================

windows (4.0.7.4-6) stable; urgency)low

* nt6.py: support for #@installdiskindex*# placeholder in unattend.xml
* nt6.xml: support for #@installdiskindex*# placeholder in unattend.xml

-- Detlef Oertel <d.oertel@uib.de> Thu, 09 Nov 2017:15:00:00 +0200

windows (4.0.7.4-5) stable; urgency)low

* nt6.py: lookup table for localized adminstrator accounts
* nt6.opsiscript: call setup.exe from installfiles_dir
* nt6.xml: use #@adminName*# instead of 'administrator'
* win2016: default password is Nt123?

-- Detlef Oertel <d.oertel@uib.de> Thu, 02 Nov 2017:15:00:00 +0200


windows (4.0.7.4-4) stable; urgency)low

* nt6.py: minor fixes
* nt6.opsiscript: minor fixes
* opsisetuplib.py: minor fixes

-- Detlef Oertel <d.oertel@uib.de> Thu, 12 Oct 2017:15:00:00 +0200

windows (4.0.7.4-3) stable; urgency)low

* nt6.py: check if correct opsi-script is available
* nt6.py: check for <productid>.png or windows.png' before copy
* nt6.opsiscript: check for <productid>.png or windows.png' before ShowBitmap
* Makefile: copy windows.png as windows.png (makes work with derivated products easyer)
* nt6.py: Show message about productId_ver-ver on clientId
* removed property: blockalignment - now always true

-- Detlef Oertel <d.oertel@uib.de> Thu, 12 Oct 2017:15:00:00 +0200

windows (4.0.7.4-2) experimental; urgency)low

* merge from 4.0.7.1-10: nt6.py check for opsi version opsi 4.1 compatible
* nt6.py: make sure that encodedPcpatchPassword is defined
* uefi: create system partition: more info

-- Detlef Oertel <d.oertel@uib.de> Thu, 05 Oct 2017:15:00:00 +0200

windows (4.0.7.4-1) experimental; urgency)low

* integrate use of opsi-script in winpe part
* new nt6.opsiscript
* modified nt6.py: changed work.cmd additonal opsi-script-infos.ini
* new property: multi_disk_mode with values: ["0","1","2","3","prefer_ssd","prefer_rotaional"]
Fallback is first disk
* moving postinst stuff from c:\tmp to c:\opsi.org\log
* removed setwallpaper, opsimbr.exe
* fix 99_cleanup.cmd: path to 64bit shutdown.exe
* opsisetuplib.py: added sleep prior making NTFS partition (mr 4.0.7.1-9)
* update pci.ids, usb.ids ; fixes: #2747
* new property: administrator_password ; fixes: #2396
* new property: winpe_dir ;default=auto; auto=winpe or winpe_uefi, if not auto: used for mbr and uefi; fixes: #2922
* winpe_uefi is a symlink to winpe by default ; fixes: #2863
* postinst and preinst now created from postinst_nt6 and preinst_nt6
* nt5 stuff removed
* winpe* is backuped and restored in preinst/postinst
* create winpe_uefi as symlink if not existing (do)
* postinst.cmd now also allows calling powershell scripts (*.ps1) ; fixes: #2677

-- Detlef Oertel <d.oertel@uib.de> Thu, 24 Aug 2017:15:00:00 +0200

=================================================

opsi-wim-capture (4.0.7.2-7) stable; urgency=low

* suspends the product if event on_shutdown is detected and < win8.1
* capture.opsiscript: no more setloglevel

-- detlef oertel <d.oertel@uib.de> Mo, 06 Nov 2017 15:00:00 +0000

opsi-wim-capture (4.0.7.2-6) stable; urgency=low

* set opsi-clonezilla property disk_device and use 'diskdevice' in property runcommand
* uefi support
* multi disk support

-- detlef oertel <d.oertel@uib.de> Mo, 30 Oct 2017 15:00:00 +0000

opsi-wim-capture (4.0.7.2-5) stable; urgency=low

* more fixes for win < 8.1
* more fixes for more than one disk

-- detlef oertel <d.oertel@uib.de> Wed, 25 Oct 2017 15:00:00 +0000

opsi-wim-capture (4.0.7.2-4) stable; urgency=low

* fix: added declaration for $aktNumber$

-- rupert roeder <r.roeder@uib.de> Wed, 25 Oct 2017 09:45:00 +0000

opsi-wim-capture (4.0.7.2-3) stable; urgency=low

* fix at "Check for active (boot) disk ..."

-- detlef oertel <d.oertel@uib.de> Mon, 23 Oct 2017 15:00:00 +0000

opsi-wim-capture (4.0.7.2-2) stable; urgency=low

* new property image_flag: Flag will be set after capture
* set flag also after creat via dism
* update auf wimlib 1.12

-- detlef oertel <d.oertel@uib.de> Wed, 04 Oct 2017 15:00:00 +0000

opsi-wim-capture (4.0.7.2-1) stable; urgency=low

* try to include sysprep logs
* call method updateWIMConfig
* fixed ShellInAnIcon_imagex_flags
* fix create work.cmd for different netboot product versions
* start opsi-script in PE with /logproductid
* stop service tiledatamodelsvc before sysprep
* use powershell to get boot drive
* do not use WINDOWS Label to get captutre Drive Letter

-- detlef oertel <d.oertel@uib.de> Wed, 06 Sep 2017 15:00:00 +0000


opsi-wim-capture (4.0.7.1-5) stable; urgency=low

* workaround for setProductActionRequestWithDependencies (none Bug)

-- detlef oertel <d.oertel@uib.de> Thu, 20 Jul 2017 15:00:00 +0000

=================================================
debian (4.0.7.2-4) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
debian7 (4.0.7.2-3) testing; urgency=low

* writing proxy configuation to apt.conf file

-- Mathias Radtke <m.radtke@uib.de> Fri Oct 27 11:23:00 +0200

debian7 (4.0.7.2-2) testing; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200

=================================================
debian8 (4.0.7.2-6) testing; urgency=low

* updated kernel/initrd.gz

-- Mathias Radtke <m.radtke@uib.de> Fri Nov 03 14:04:00 +0100


debian8 (4.0.7.2-4) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
debian9 (4.0.7.2-6) testing; urgency=low

* writing proxy configuation to apt.conf file

-- Mathias Radtke <m.radtke@uib.de> Fri Oct 27 11:23:00 +0200

debian9 (4.0.7.2-5) stable; urgency=low

* updated kernel and initrd.gz

--Mathias Radtke <m.radtke@uib.de> Wed Oct 11 09:45:00 +0200

debian9 (4.0.7.2-4) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
centos70 (4.0.7.2-2) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
opensusel42-2 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
opensusel42-3 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
redhat70 (4.0.7.2-2) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
sles11sp4 (4.0.7.2-2) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
sles12 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
sles12sp1 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
sles12sp2 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
sles12sp3 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
ubuntu (4.0.7.2-5) testing; urgency=low

* Added Ubuntu 17.10 debiitstrap script

-- Mathias Radtke <m.radtke@uib.de> Mon Oct 30 09:39:00

ubuntu (4.0.7.2-4) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
ubuntu14-04 (4.0.7.2-4) testing; urgency=low

* writing proxy configuation to apt.conf file

-- Mathias Radtke <m.radtke@uib.de> Fri Oct 27 11:23:00 +0200

ubuntu14-04 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
ubuntu16-04 (4.0.7.2-5) testing; urgency=low

* writing proxy configuation to apt.conf file

-- Mathias Radtke <m.radtke@uib.de> Fri Oct 27 11:23:00 +0200

ubuntu16-04 (4.0.7.2-4) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
ubuntu17-04 (4.0.7.2-5) testing; urgency=low

* writing proxy configuation to apt.conf file

-- Mathias Radtke <m.radtke@uib.de> Mon Oct 30 09:46:00 2017 +0100

ubuntu17-04 (4.0.7.2-4) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
ubuntu17-10 (4.0.7.2-5) testing; urgency=low

* replaced opsi4.0 check with an opsi4.x check
* forked from ubuntu17-04
* corrected proxy behaviour

-- Mathias Radtke <m.radtke@uib.de> Mon Oct 30 09:40:00 2017 +0100
=================================================
ucs41 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
ucs42 (4.0.7.2-4) testing; urgency=low

* updated to install UCS42-2

-- Mathias Ratdke <m.radtke@uib.de> Thu Nov 2 11:40:00 +0100

ucs42 (4.0.7.2-3) stable; urgency=low

* replaced opsi4.0 check with an opsi4.x check

-- Mathias Radtke <m.radtke@uib.de> Wed Oct 4 13:43:06 2017 +0200
=================================================
config-win10 (4.0.7-8); stable; urgency=low

* fixed broken loginscript setup
* fixed autoroate disable when using disable_sensors property on Surface devices

-- Mathias Radtke <m.radtke@uib.de> Tue, 17 Oct 2017 14:50:00 +0200
=================================================
wipedisk (1.1-1) stable; urgency=low

* Property netbootAfterInstall added

-- Mathias Radtke <m.radtke@uib.de> Tue Sep 19 2017 12:30:00 +0200
=================================================
opsi-clonezilla (4.0.7.2-4) stable; urgency=low

* quickfix smb1 fallback

-- detlef oertel <d.oertel@uib.de> Wed, 25 Nov 2017 15:00:00 +0200
=================================================
=================================================
Server Pakete
=================================================

opsi-depotserver (4.0.7.3-2) testing; urgency=medium

* .deb: lowered severity of debconf questions.
* .deb: requesting debconf results only if configuring the package.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 09 Oct 2017 18:16:33 +0200

=================================================

opsi-utils (4.0.7.18-7) stable; urgency=medium

* RPM: Suse: Install zypper for build.
* RPM: Suse: root now owns /var/lib/opsi/repository.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 21 Sep 2017 16:11:53 +0200

opsi-utils (4.0.7.18-6) stable; urgency=medium

* RPM: Setting the rights for /var/lib/opsi/repository in the file
listing.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 21 Sep 2017 16:06:37 +0200

opsi-utils (4.0.7.18-5) stable; urgency=medium

* RPM: Added python-opsi as build requirement.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 21 Sep 2017 11:28:56 +0200

opsi-utils (4.0.7.18-4) stable; urgency=medium

* Setting the ownership of /var/lib/opsi/repository in postinst.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 18 Sep 2017 14:38:10 +0200

opsi-utils (4.0.7.18-3) stable; urgency=medium

* RPM: Package now owns /var/lib/opsi.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 18 Sep 2017 11:24:47 +0200

opsi-utils (4.0.7.18-2) stable; urgency=medium

* Added directory /var/lib/opsi/repository.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 07 Sep 2017 17:19:04 +0200

opsi-utils (4.0.7.18-1) stable; urgency=medium

* opsi-package-manager, opsi-product-updater: Parsing filenames for
productId and version uses a shared function.
This fixes a bug with accidental remote package deletion if the name
of the name of the new product was contained in the filename of a
different package.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 18 Aug 2017 17:22:09 +0200

=================================================

opsi4ucs (4.0.7.5-8) testing; urgency=medium

* Removed Build-Depends workaround.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 17 Aug 2017 17:49:42 +0200

opsi4ucs (4.0.7.5-7) testing; urgency=medium

* Build-Depends for ifupdown added as a workaround for broken project
configuration on OBS.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 15 Aug 2017 10:33:09 +0200

opsi4ucs (4.0.7.5-6) stable; urgency=medium

* Using UCS tools to call join script automatically.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 14 Aug 2017 12:07:01 +0200

opsi4ucs (4.0.7.5-5) stable; urgency=medium

* Being more specific with requirements and build-requirements.
* Changed order in rules.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 14 Aug 2017 11:36:34 +0200

opsi4ucs (4.0.7.5-4) stable; urgency=medium

* Installing into config registry is done in dh_auto_install now.
* Using standard debian packaging to deploy the files to the
appropriate directory.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 14 Aug 2017 10:57:25 +0200

opsi4ucs (4.0.7.5-3) stable; urgency=medium

* Moved config registry file to follow current conventions.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 14 Aug 2017 10:25:45 +0200

opsi4ucs (4.0.7.5-2) testing; urgency=medium

* Updated entry on UCS overview.
* dhcpd backend removed from dispatch.conf.jsonrpc.
* Distributing opsi icon for UCS overview with debian packaging features.
* Removed another leftover file from obsolete LDAP schema files.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 10 Aug 2017 11:37:29 +0200

=================================================

opsiconfd (4.0.7.14-1) stable; urgency=medium

* Info page: Fix possible data injection through a clients User Agent.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 26 Sep 2017 17:40:50 +0200

=================================================

opsipxeconfd (4.0.7.9-1) stable; urgency=medium

* Some logmessages changed to be clearer.
* Refactored the way we attempt to stop things.
* systemd: stop timeout set to 15 seconds.
* Log a message if the path of pxeConfigTemplate is changed because
it is not an absolute path.
* Set rights on communication socket so that all opsiadmins
are able to communicate through it.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 14 Aug 2017 14:47:43 +0200

=================================================

python-opsi (4.0.7.50-1) experimental; urgency=medium

* Corrected failing Samba tests

-- Mathias Radtke <m.radtke@uib.de> Fri, 22 Sep 2017 12:22:40 +0200

python-opsi (4.0.7.49-1) experimental; urgency=medium

* fixed OpenSUSE Leap opsi_workbench share directory
* Catching missing server_commands_custom.conf error

-- Mathias Radtke <m.radtke@uib.de> Fri, 22 Sep 2017 10:54:06 +0200

python-opsi (4.0.7.48-1) stable; urgency=medium

* System.Windows.getActiveSessionIds fix for nt6
* hostControl: Implementation for modified opsiclientd controlserver
port over configState

-- Erol Ueluekmen <e.ueluekmen@uib.de> Mon, 21 Aug 2017 16:07:09 +0200

python-opsi (4.0.7.47-1) stable; urgency=medium

* Changed OPSI.Util.File.Opsi.parseFilename to be able to handle files
not ending in .opsi.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 18 Aug 2017 17:06:35 +0200

python-opsi (4.0.7.46-1) stable; urgency=medium

* Added function OPSI.Util.File.Opsi.parseFilename.
* OPSI.Util.Repository.FileRepository: Fix bug where instead of appending
a file it was newly written.
* OPSI.Backend.BackendManager.BackendAccessControl: Added logmessages
to make it easier to follow PAM authentication.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 17 Aug 2017 12:28:47 +0200

=================================================
opsi-linux-bootimage_20171012-1 testing; urgency=medium

* kernel 4.13.6
* added smbv1 fallback if smbv3 mount fails

-- Mathias Radtke <m.radtke@uib.de> Wed, 18 Oct 2017 16:47:47 +0200
=================================================
opsi support - uib gmbh

For productive opsi installations we recommend support contracts.
http://www.uib.de
http://www.opsi.org

Zurück zu „News“

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast